Page MenuHomePhabricator

Configure $wgBabelCategoryNames for nds.wp
Closed, ResolvedPublic

Description

$wgBabelCategoryNames currently isn't set for nds.wp, which results in users not being categorized by their proficiency level when setting the Babel boxes. We'd like to change this behavior, see: https://nds.wikipedia.org/wiki/Wikipedia_Diskuschoon:Babel#Wat_de_Babel-Textbostenen_vertellt

So could you please change InitialiseSettings.php and add the following lines to the wmgBabelCategoryNames section? Thank you!

'ndswiki' => [

		'0' => false,
		'1' => 'User %code%-1',
		'2' => 'User %code%-2',
		'3' => 'User %code%-3',
		'4' => 'User %code%-4',
		'5' => 'User %code%-5',
		'N' => 'User %code%-M',

],

Event Timeline

Slomox created this task.Oct 8 2020, 7:38 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 8 2020, 7:38 AM

Setting project to Wikimedia-Site-requests, as this request seems to be about settings / configuration of a Wikimedia website. (See https://meta.wikimedia.org/wiki/Requesting_wiki_configuration_changes .)

@Slomox: Note: If you are curious and want to try making this configuration change yourself, please follow https://wikitech.wikimedia.org/wiki/Wikimedia_site_requests and give it a try.

Restricted Application added a subscriber: alaa. · View Herald TranscriptOct 8 2020, 10:47 PM

Change 636477 had a related patch set uploaded (by Urbanecm; owner: Urbanecm):
[operations/mediawiki-config@master] Configure $wgBabelCategoryNames for ndswiki

https://gerrit.wikimedia.org/r/636477

Urbanecm claimed this task.Oct 26 2020, 6:40 PM
Urbanecm triaged this task as Medium priority.
Restricted Application added a project: User-Urbanecm. · View Herald TranscriptOct 26 2020, 6:40 PM

Change 636477 merged by jenkins-bot:
[operations/mediawiki-config@master] Configure $wgBabelCategoryNames for ndswiki

https://gerrit.wikimedia.org/r/636477

Mentioned in SAL (#wikimedia-operations) [2020-10-26T18:55:46Z] <catrope@deploy1001> Synchronized wmf-config/InitialiseSettings.php: Configure $wgBabelCategoryNames on ndswiki (T264990) (duration: 00m 58s)

Urbanecm closed this task as Resolved.Oct 26 2020, 6:56 PM